Altibase.jdbc.driver.sharding.algorithm

## Class StandardRangeShardingAlgorithm<T extends java.lang.Comparable<T>>

- java.lang.Object
- - Altibase.jdbc.driver.sharding.algorithm.StandardRangeShardingAlgorithm<T>

All Implemented Interfaces:
  RangeShardingAlgorithm<T>, ShardingAlgorithm

    public class StandardRangeShardingAlgorithm<T extends java.lang.Comparable<T>>
    extends java.lang.Object
    implements RangeShardingAlgorithm<T>

### Constructor Summary

Constructors
Constructor and Description
`StandardRangeShardingAlgorithm(ShardRangeList aShardRangeList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DataNode>` `doSharding(java.lang.Comparable<?> aShardingValue, DataNode aDefaultNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardRangeShardingAlgorithm

    public StandardRangeShardingAlgorithm(ShardRangeList aShardRangeList)

### Method Detail

#### doSharding

    public java.util.List<DataNode> doSharding(java.lang.Comparable<?> aShardingValue,
                                               DataNode aDefaultNode)
                                        throws java.sql.SQLException

Specified by:
  `doSharding` in interface `RangeShardingAlgorithm<T extends java.lang.Comparable<T>>`
Throws:
  `java.sql.SQLException`